curl -X DELETE https://api.sitespeak.ai/v1/{chatbot_id}/finetunes/{finetune_id} \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes/{finetune_id}', {
method: 'DELETE',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Updated Answers
Delete Updated Answer
Deletes an updated answer for the chatbot
DELETE
/
v1
/
{chatbot_id}
/
finetunes
/
{finetune_id}
curl -X DELETE https://api.sitespeak.ai/v1/{chatbot_id}/finetunes/{finetune_id} \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes/{finetune_id}', {
method: 'DELETE',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Path Parameters
| Name | Type | Description |
|---|---|---|
| chatbot_id* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |
| finetune_id* | String | The ID of the updated answer you want to delete. |
Headers
| Name | Type | Description |
|---|---|---|
| Accept* | String | application/json |
| Authorization* | String | Bearer |
curl -X DELETE https://api.sitespeak.ai/v1/{chatbot_id}/finetunes/{finetune_id} \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/finetunes/{finetune_id}', {
method: 'DELETE',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Response
- 200 Success
- 401 Permission denied
{
"message": "Finetune deleted successfully"
}
Returns when the API token is invalid or missing.
Last modified on January 22, 2026
⌘I